Bug 177730 - panel should not be affected by desktop cube
Summary: panel should not be affected by desktop cube
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: compositing (show other bugs)
Version: unspecified
Platform: Compiled Sources Unspecified
: NOR wishlist (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-13 23:35 UTC by Stefan Majewsky
Modified: 2009-02-06 10:27 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Majewsky 2008-12-13 23:35:39 UTC
Version:            (using Devel)
Installed from:    Compiled sources

In my opinion, the panel should not be affected by the desktop cube. Instead, the cube should spin behind it while the panel stays at its position.

The current behavior is esp. weird when changing the desktop through the panel applet: You see the applet moving away, and stopping again under your mouse. Of course, the behavior I desire should be an opt-in configuration option.
Comment 1 Scott Martin 2009-02-01 02:59:14 UTC
I think it makes sense for the panel (more like, a panel; if you add more, they should behave in the same way) to move with the cube; especially so if you have a task manager widget set to "only show tasks from the current desktop".
Comment 2 Martin Flöser 2009-02-01 10:05:24 UTC
The feature requested by Stefan will be configurable. But it will be default on for animate desktop switching (ctrl+f1-4/pager) and not be available in cube mode (ctrl+f11)
Comment 3 Martin Flöser 2009-02-06 10:27:41 UTC
SVN commit 922026 by graesslin:

Option to not animate the panels during desktop switching animation.
FEATURE: 177730


 M  +19 -0     cube.cpp  
 M  +3 -0      cube.h  
 M  +5 -0      cube_config.cpp  
 M  +8 -0      cube_config.ui  


WebSVN link: http://websvn.kde.org/?view=rev&revision=922026